Get a step
curl --request GET \
--url https://client-api.salesfinity.co/v2/sequencer/sequences/{sequence_id}/steps/{step_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://client-api.salesfinity.co/v2/sequencer/sequences/{sequence_id}/steps/{step_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://client-api.salesfinity.co/v2/sequencer/sequences/{sequence_id}/steps/{step_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"sequence": "507f1f77bcf86cd799439011",
"order": 123,
"step_type": "auto_email",
"interval_seconds": 123,
"date": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"new_thread": true,
"task_note": "<string>",
"task_priority": "high",
"task_autoskip_delay": 123,
"templates": [
{
"template": "507f1f77bcf86cd799439011",
"weight": 123
}
]
}{
"message": [
"limit must not be greater than 100"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "Too many requests",
"error": "Too Many Requests",
"statusCode": 429
}{
"message": "Internal server error",
"error": "Internal Server Error",
"statusCode": 500
}Sequencer Steps
Get a step
One step of a cadence, with its delay, type and templates.
GET
/
v2
/
sequencer
/
sequences
/
{sequence_id}
/
steps
/
{step_id}
Get a step
One step of a cadence, with its delay, type and templates.
Authorizations
Team-scoped API key generated in the Salesfinity dashboard under Settings -> Connections & API. A missing or invalid key returns HTTP 403.
Path Parameters
24-character sequence id.
24-character step id.
Response
Success.
One step of a cadence.
24-character hexadecimal id.
Example:
"507f1f77bcf86cd799439011"
24-character hexadecimal id.
Example:
"507f1f77bcf86cd799439011"
1-based position in the cadence.
Available options:
auto_email, manual_email, call, task Delay from the previous step.
Available options:
high, medium, low Show child attributes
Show child attributes